org.apache.xmlgraphics.image.loader

## Class SimpleRefinedImageFlavor

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.ImageFlavor
  - - org.apache.xmlgraphics.image.loader.RefinedImageFlavor
    - - org.apache.xmlgraphics.image.loader.SimpleRefinedImageFlavor

-     public class SimpleRefinedImageFlavor
      extends RefinedImageFlavor

  Simple refined image flavor implementation that just differs flavors by name but allows to specify a parent flavor.

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlgraphics.image.loader.ImageFlavor

      `BUFFERED_IMAGE, GRAPHICS2D, RAW, RAW_CCITTFAX, RAW_EMF, RAW_EPS, RAW_JPEG, RAW_LZW, RAW_PDF, RAW_PNG, RAW_TIFF, RENDERED_IMAGE, XML_DOM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleRefinedImageFlavor(ImageFlavor parentFlavor, java.lang.String name)` Main constructor.

  - ### Method Summary

    - ### Methods inherited from class org.apache.xmlgraphics.image.loader.RefinedImageFlavor

      `getMimeType, getNamespace, getParentFlavor, isCompatible`

    - ### Methods inherited from class org.apache.xmlgraphics.image.loader.ImageFlavor

      `equals, getName, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleRefinedImageFlavor

          public SimpleRefinedImageFlavor(ImageFlavor parentFlavor,
                                          java.lang.String name)

      Main constructor.
      Parameters:
        `parentFlavor` - the parent image flavor
        `name` - the name of the image flavor

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.